Subject: [vnfpool] A couple of comments on draft-zong-vnfpool-problem-statement-01

From: Hidetoshi Yokota <[email-masked]>
Date: Tue, 10 Sep 2013 18:42:37 +0900

Hi Ning,

I briefly reviewed the PS document, which I believe is well aligned with
NFV's activities and a good starting point.

I have a couple of clarification questions and comments:

1) It is not very clear about the relationship between the two
architectures in Figs.1 and 2. If they are related, could you elaborate
more about which functional entity is mapped to which between them?

2) I suppose Figure 3 is based on the RSerPool architecture (RFC5351),
but I was not sure about "PR (Pool Registrar)". Is it the same as "PU
(Pool User)" or "ENRP Server" or a totally different node?

3) If Section 4 shows a potential solution, it should be clarified which
problem to be solved. I could not find the reference document [RSNDP].

4) Section 5.2 seems to be a gap analysis for Section 3.2 (Reliable Data
Connection), but Multiple TCP is just one example and there are other
means such as SCTP. More generalized analysis will be needed. Moreover,
VNF could be relocated to a totally different physical server, so route
redundancy and recovery should also be considered.

5) Section 5.3 mentions VNF Forwarding Graph, which is one of the
important functionalities in NFV architecture, but I could not see any
existing solution in this section, so it is not sufficient for gap
analysis. If there is some related work, that should be introduced.

I hope these are of some help.

Regards,

-- 
Hidetoshi Yokota

KDDI R&D Laboratories, Inc.
e-mail:[email-masked]

---

From: Zongning <[email-masked]>
Date: Wed, 11 Sep 2013 01:45:37 +0000

Hi, Hidetoshi,

Thank you for your review. Please see my reply below.

1) It is not very clear about the relationship between the two architectures in Figs.1 and 2. If they are related, could you elaborate more about which functional entity is mapped to which between them?
[Ning] I believe you are referring to -00 version. Now they are Fig.2 and mostly Fig.3 in -01 version. :) Anyway, back to your question, Fig.2 (in -01) shows that VNF instances are directly connected and sequentially executed to complete a service. Fig.3 (in -01) is a pooling architecture for VNF instance management such as selection, monitoring. They don't have direct relationship.

2) I suppose Figure 3 is based on the RSerPool architecture (RFC5351), but I was not sure about "PR (Pool Registrar)". Is it the same as "PU (Pool User)" or "ENRP Server" or a totally different node?
[Ning] In -01 version, "PR" has changed to "ENRP Server".

3) If Section 4 shows a potential solution, it should be clarified which problem to be solved. I could not find the reference document [RSNDP].
[Ning] We don't have reference to [RSNDP] in -01 version any longer, as I want to focus PS draft on forming working scope only. Section 4 describes a pooling architecture based on existing works and outlines potential working scope to address the problems described in Section 3.

4) Section 5.2 seems to be a gap analysis for Section 3.2 (Reliable Data Connection), but Multiple TCP is just one example and there are other means such as SCTP. More generalized analysis will be needed. Moreover, VNF could be relocated to a totally different physical server, so route redundancy and recovery should also be considered.
[Ning] I totally agree with you that other transport/routing layer mechanisms should be considered and more gap analysis are definitely needed as well. We are working on these issues. :)

5) Section 5.3 mentions VNF Forwarding Graph, which is one of the important functionalities in NFV architecture, but I could not see any existing solution in this section, so it is not sufficient for gap analysis. If there is some related work, that should be introduced.
[Ning] Thank you for reminding us this important issue. I believe Network Servicing Chaining (NSC) folks are working towards the solution on this perspective. We will definitely introduce those solutions as related work in due time.

Please let me know your further comments, if not totally addressed.
Thanks.

-Ning

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Hidetoshi Yokota
> Sent: Tuesday, September 10, 2013 5:43 PM
> To: [email-masked]
> Subject: [vnfpool] A couple of comments on
> draft-zong-vnfpool-problem-statement-01
> 
> Hi Ning,
> 
> _______________________________________________
> vnfpool mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/vnfpool